summaryrefslogtreecommitdiff
path: root/tests/auto/xmlpatternsxqts/summarizeBaseline.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/auto/xmlpatternsxqts/summarizeBaseline.sh')
-rwxr-xr-xtests/auto/xmlpatternsxqts/summarizeBaseline.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/tests/auto/xmlpatternsxqts/summarizeBaseline.sh b/tests/auto/xmlpatternsxqts/summarizeBaseline.sh
new file mode 100755
index 0000000..5ea0c52
--- /dev/null
+++ b/tests/auto/xmlpatternsxqts/summarizeBaseline.sh
@@ -0,0 +1,50 @@
+#!/bin/sh
+#############################################################################
+##
+## Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
+## All rights reserved.
+## Contact: Nokia Corporation (qt-info@nokia.com)
+##
+## This file is the build configuration utility of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## No Commercial Usage
+## This file contains pre-release code and may not be distributed.
+## You may use this file in accordance with the terms and conditions
+## contained in the Technology Preview License Agreement accompanying
+## this package.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 2.1 requirements
+## will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## In addition, as a special exception, Nokia gives you certain additional
+## rights. These rights are described in the Nokia Qt LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## If you have questions regarding the use of this file, please contact
+## Nokia at qt-info@nokia.com.
+##
+##
+##
+##
+##
+##
+##
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+if [ $# -ne 1 ]; then
+ echo "You need to pass in one argument: the file path to Baseline.xml which you want the summary for."
+ exit 1
+fi
+
+# We run dirname, so we can locate summarizeBaseline.xsl regardless of our
+# working directory.
+xmlpatterns `dirname $0`/summarizeBaseline.xsl $1